summaryrefslogtreecommitdiffstats
path: root/source/l/icu4c
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/l/icu4c
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/icu4c')
-rwxr-xr-xsource/l/icu4c/icu4c.SlackBuild21
-rw-r--r--source/l/icu4c/icu4c.closenull.patch48
-rw-r--r--source/l/icu4c/icu4c.url1
-rw-r--r--source/l/icu4c/slack-desc6
4 files changed, 18 insertions, 58 deletions
diff --git a/source/l/icu4c/icu4c.SlackBuild b/source/l/icu4c/icu4c.SlackBuild
index 823e4a04b..0a355a345 100755
--- a/source/l/icu4c/icu4c.SlackBuild
+++ b/source/l/icu4c/icu4c.SlackBuild
@@ -1,9 +1,9 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for icu4c
# Copyright 2007-2013 Heinz Wiesinger, Amsterdam, The Netherlands
-# Copyright 2012, 2013, 2015, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2012, 2013, 2015, 2016, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=icu4c
-SRCVER=${SRCVER:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 2- -d . | cut -f 2 -d - | rev)}
+SRCVER=${SRCVER:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 2- -d . | cut -f 2 -d - | rev)}
VERSION=$(echo $SRCVER | tr _ .)
BUILD=${BUILD:-2}
@@ -38,9 +40,16 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:--j6}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-icu4c
@@ -62,7 +71,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf icu
-tar xvf $CWD/icu4c-$SRCVER-src.tar.xz || exit 1
+tar xvf $CWD/icu4c-$SRCVER-src.tar.?z || exit 1
cd icu || exit 1
chown -R root:root .
find . \
@@ -71,8 +80,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
-o -perm 400 \) -exec chmod 644 {} \;
-zcat $CWD/icu4c.closenull.patch.gz | patch -p1 --verbose || exit 1
-
cd source/
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
diff --git a/source/l/icu4c/icu4c.closenull.patch b/source/l/icu4c/icu4c.closenull.patch
deleted file mode 100644
index 3cc0b7f64..000000000
--- a/source/l/icu4c/icu4c.closenull.patch
+++ /dev/null
@@ -1,48 +0,0 @@
---- icu/source/common/unicode/localpointer.h.orig 2016-02-21 21:40:54.346007093 +0100
-+++ icu/source/common/unicode/localpointer.h 2016-02-21 21:46:25.455090792 +0100
-@@ -508,12 +508,12 @@
- : LocalPointerBase<Type>(src.ptr) { \
- src.ptr=NULL; \
- } \
-- ~LocalPointerClassName() { closeFunction(ptr); } \
-+ ~LocalPointerClassName() { if (ptr != NULL) closeFunction(ptr); } \
- LocalPointerClassName &operator=(LocalPointerClassName &&src) U_NOEXCEPT { \
- return moveFrom(src); \
- } \
- LocalPointerClassName &moveFrom(LocalPointerClassName &src) U_NOEXCEPT { \
-- closeFunction(ptr); \
-+ if (ptr != NULL) closeFunction(ptr); \
- LocalPointerBase<Type>::ptr=src.ptr; \
- src.ptr=NULL; \
- return *this; \
-@@ -527,7 +527,7 @@
- p1.swap(p2); \
- } \
- void adoptInstead(Type *p) { \
-- closeFunction(ptr); \
-+ if (ptr != NULL) closeFunction(ptr); \
- ptr=p; \
- } \
- }
-@@ -536,9 +536,9 @@
- class LocalPointerClassName : public LocalPointerBase<Type> { \
- public: \
- explicit LocalPointerClassName(Type *p=NULL) : LocalPointerBase<Type>(p) {} \
-- ~LocalPointerClassName() { closeFunction(ptr); } \
-+ ~LocalPointerClassName() { if (ptr != NULL) closeFunction(ptr); } \
- LocalPointerClassName &moveFrom(LocalPointerClassName &src) U_NOEXCEPT { \
-- closeFunction(ptr); \
-+ if (ptr != NULL) closeFunction(ptr); \
- LocalPointerBase<Type>::ptr=src.ptr; \
- src.ptr=NULL; \
- return *this; \
-@@ -552,7 +552,7 @@
- p1.swap(p2); \
- } \
- void adoptInstead(Type *p) { \
-- closeFunction(ptr); \
-+ if (ptr != NULL) closeFunction(ptr); \
- ptr=p; \
- } \
- }
-
diff --git a/source/l/icu4c/icu4c.url b/source/l/icu4c/icu4c.url
new file mode 100644
index 000000000..947519766
--- /dev/null
+++ b/source/l/icu4c/icu4c.url
@@ -0,0 +1 @@
+http://download.icu-project.org/files/icu4c
diff --git a/source/l/icu4c/slack-desc b/source/l/icu4c/slack-desc
index 2d0beefda..397597e3a 100644
--- a/source/l/icu4c/slack-desc
+++ b/source/l/icu4c/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|